Plantronics + Polycom. Now together as Poly Logo

TLS 1.2 Compliant?

Occasional Advisor

TLS 1.2 Compliant?

Hello.  We have several VVX phones, models 600, 410, and 310.  Are they all TLS 1.2 compliant?  I'm referring to Microsoft's October 31st deadline for making sure all Skype devices support TLS 1.2.  If they are, is there a specific minimum firmware version that needs to be applied first?

 

Thanks!

Message 1 of 9
8 REPLIES 8
Polycom Employee & Community Manager

Re: TLS 1.2 Compliant?

Hello @jferguso,

welcome back to the Polycom Community.

We are currently evaluating all possible different scenarios and make an announcement after.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 2 of 9
Occasional Advisor

Re: TLS 1.2 Compliant?

Are you saying that you don't know yet but you'll make an announcement when you do know?

Message 3 of 9
Highlighted
Polycom Employee & Community Manager

Re: TLS 1.2 Compliant?

Hello @jferguso,

In general we do support TLS 1.2 but this all depends on other factors like Extension & Pin and other scenarios.

 

Once we tested all these we will make an announcement for the VVX and the Trio.


Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 4 of 9
Occasional Advisor

Re: TLS 1.2 Compliant?

Thanks. I'm not sure what extensions and PINs have to do with TLS, but ok.  When do you expect to make this announcement?  There's less than 2 months before the deadline.

 

The CX series most definitely will not, but you're saying that in general, with any firmware version, the VVX *should* support TLS 1.2?

Message 5 of 9
Polycom Employee & Community Manager

Re: TLS 1.2 Compliant?

Hello @jferguso,

If you check my signature you can find that I am doing this here in the community for fun and in my spare time.

 

I am not going into technical details what type of checks and what methods are going to use TLS 1.2 and which not.

 

If you want an official answer please work with your Polycom reseller as end customers are unable to work with Polycom directly.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 6 of 9
Polycom Employee & Community Manager

Re: TLS 1.2 Compliant?

Hello @jferguso,

 

we just released the following:

 

  • UC Software 5.8.1
  • UC Software 5.7.3

 

All of the above including important Security Updates and are fully compatible with Microsofts change at the end of October when TLS 1.0 will be disabled on the Office365 platform and in addition with On Premise installations where TLS 1.0 has been disabled.

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 7 of 9
Occasional Visitor

Re: TLS 1.2 Compliant?

Office 365 currently rolls out 5.5.2 for Trio phones, but this is not TL1.2 compliant according to the release history which indicates 5.5.3 suports TLS1.2. 

 

This means that there are lots of O365 registered Trio phones running 5.5.2 that will stop working at the end of October unless they are set to a forced upgrade.

 

I have seen nothing to state that MS will be releasing >5.5.2 fro Trio on O365 and nothing from Polycom to say that TLS1.2 is actually ok on 5.5.2. Am I missing something here or is this a major issue that needs addressing ASAP?

 

Jed

Message 8 of 9
Polycom Employee & Community Manager

Re: TLS 1.2 Compliant?

Hello @Jed Ellerby,

 

welcome to the Polycom Community.

 

Our Partner Microsoft is sometimes a bit slower to upload the latest and greatest and are currently in the process to upload the Trio UC Software 5.5.4.2255 to their Platform.

 

I cannot provide any timelines on this but just as an information Trio UC Software 5.5.2 was already 
compliant with TLS 1.2 for the O365 services.

 

In addition we recently released Trio UC Software 5.7.1 Rev AC => here <= which contains On Premises TLS 1.2 fixes.

 

You can always disable the software provisioning from the Microsoft side as described => here <=

Please ensure to provide some feedback if this reply has helped you so other users can profit from your experience.

Best Regards

Steffen Baier

Polycom Global Services




<======== Signature / Disclaimer ========>
Please be aware:For questions about the type of support to expect please check here

Please also ensure you always check the VoIP , Video Endpoint , Skype for Business , PSTN or RPM FAQ's

Please remember, if you see a post that helped you , and it answers your question, please mark it as an "Accept as Solution".

The title Polycom Employee & Community Manager is an automatic setting within the community and any forum reply or post is based upon my personal experience and does not reflect the opinion or view of my employer.
Poly employee participation within this community is not mandatory and any post or FAQ article provided by myself is done either during my working hours or outside working hours, in my private time, and maybe answered on weekends, bank holidays or personal holidays.
Message 9 of 9